package cn.iocoder.yudao.module.system.service.biz;


import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.MedicationPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.MedicationRespVO;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.MedicationSaveReqVO;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.excel.MedicationExcelVO;
import cn.iocoder.yudao.module.system.dal.dataobject.biz.MedicationDO;

import java.util.List;

/**
 * 长者用药 Service 接口
 *
 * @author 系统管理员
 */
public interface MedicationService {


    void createMedication(MedicationSaveReqVO medicationDO);

    MedicationRespVO getMedication(Long elderId);

    void updateUsingMedical(MedicationDO medicationDO);

    void deleteMedication(Long id);

    List<MedicationExcelVO> exportMedicationExcel(MedicationPageReqVO pageReqVO);

    PageResult<MedicationDO> getMedicationPage(MedicationPageReqVO pageReqVO);
}